org.apache.cassandra.db.partitions

## Interface PartitionIterator

All Superinterfaces:
  java.lang.AutoCloseable, BasePartitionIterator<RowIterator>, CloseableIterator<RowIterator>, java.util.Iterator<RowIterator>

All Known Implementing Classes:
  AggregationQueryPager.AggregationPartitionIterator, AggregationQueryPager.GroupByPartitionIterator, FilteredPartitions

    public interface PartitionIterator
    extends BasePartitionIterator<RowIterator>

An iterator over a number of (filtered) partition. PartitionIterator is to RowIterator what UnfilteredPartitionIterator is to UnfilteredRowIterator though unlike UnfilteredPartitionIterator, it is not guaranteed that the RowIterator returned are in partitioner order. The object returned by a call to next() is only guaranteed to be valid until the next call to hasNext() or next(). If a consumer wants to keep a reference on the returned objects for longer than the iteration, it must make a copy of it explicitely.

### Method Summary

### Methods inherited from interface org.apache.cassandra.db.partitions.BasePartitionIterator

`close`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`